<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\Blog\Adapter;

use Dedi\SyliusBlogPlugin\Domain\SEO\Adapter\ReferableInterface;

interface CategoryInterface extends ReferableInterface
{
    public function isEnabled(): bool;

    public function getSlug(): string;

    public function getName(): string;

    public function getDescription(): ?string;

    public function getSubCategories(): \Traversable;

    public function getPosition(): int;

    public function getArticles(): \Traversable;
}
